> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/add-license-video.md).

# Add video license key

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

{% hint style="info" %}
**License Key Required**

The trial of Apryse SDK requires a trial license key, which is provided in the box titled "License Key". A commercial license key is required for use in a production environment. Please [contact sales](https://apryse.com/form/contact-sales) to purchase a commercial key or if you need any other license key assistance.
{% endhint %}

{% hint style="warning" %}
**Keep your license keys confidential.**

License keys are uniquely generated. Please make sure that it is not publicly available (e.g. in your public GitHub).
{% endhint %}

A watermark will be visible when no license key is entered and will be removed when you enter a valid license key.

## String option

Pass your license key as a string to the [`initializeVideoViewer`](https://sdk.apryse.com/api/video/module-@pdftron_webviewer-video.html#.initializeVideoViewer__anchor) function.

For example if your license key is

`key@domain.com///150:191:91:208:107:135:56:7:89:101:211:148:2:202:107...`

then you would call:

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer({
  path: '...'
}).then((instance) => {
  const {
      loadVideo,
  } = await initializeVideoViewer(
      instance,
      {
        license: `key@domain.com///150:191:91:208:107:135:56:7:89:101:211:148:2:202:107...`,
      }
  );
})
```

{% endcode %}
{% endtab %}
{% endtabs %}

Please make sure you’re using the entire key string, but with no extra whitespace included (i.e. at the end, which can happen when you copy/paste out of an email or the website)

## File option

Alternatively instead of passing a string, one can a pass a file url. The contents of the file should only be the entire license key.

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer({
  path: '...'
}).then((instance) => {
  const {
      loadVideo,
  } = await initializeVideoViewer(
      instance,
      {
        license: `/path/to/license.txt`
      }
  );
})
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/add-license-video.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
